Subject: bug#38417: 26.3; crash when opening help for tramp-password-prompt-regexp

From: Maximilian <[email-masked]>
Date: Mon, 13 Apr 2020 12:04:09 +0200

Hi Michael,

thanks for the message!

I don't know why I never saw the response of Eli (never filed a bug 
report before, probably should subscribe to the mailing list...).

*Currently everything is working* :)

I'm on Manjaro and assuming the font-hypothesis is true, an update must 
have fixed it. I tried a quick web-search but could not find anything on 
that. I didn't change the font either.

Best,

Max

On 13.04.20 10:48, Michael Albinus wrote:
> Eli Zaretskii <[email-masked]> writes:
>
> Hi Maximilian,
>
>>> Whenever I try to describe-variable tramp-password-prompt-regexp, Emacs
>>> crashes (even with -q).
>> I suspect this crash is related to fonts installed on your system.
>> (It doesn't crash on my system, FWIW.)  The documentation of this
>> variable includes a few non-ASCII strings, and I'm guessing Emacs
>> crashes trying to display one of them.
>>
>> Unfortunately, your Emacs binary seems to be stripped, so the
>> backtrace is not useful, and I have no way of confirming my guess.
> Could you pls check as Eli has suggested? Otherwise, I don't know how to
> continue.
>
> Best regards, Michael.